<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::AbstractValueArray Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1AbstractValueArray.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1AbstractValueArray-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-types">Public Types</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::AbstractValueArray Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classOpenSim_1_1ValueArray.html">ValueArray</a> (of type T) represents an array of SimTK::Value (of type T).  
 <a href="classOpenSim_1_1AbstractValueArray.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::AbstractValueArray:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1AbstractValueArray.png" usemap="#OpenSim::AbstractValueArray_map" alt=""/>
  <map id="OpenSim::AbstractValueArray_map" name="OpenSim::AbstractValueArray_map">
<area href="classOpenSim_1_1ValueArray.html" alt="OpenSim::ValueArray&lt; T &gt;" shape="rect" coords="0,56,182,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aba66ad9dc550d621973ab484fd37523d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#aba66ad9dc550d621973ab484fd37523d">AbstractValueArray</a> ()=default</td></tr>
<tr class="separator:aba66ad9dc550d621973ab484fd37523d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa07fd82e00287b1ffb246ddd26b8287a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#aa07fd82e00287b1ffb246ddd26b8287a">AbstractValueArray</a> (const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;)=default</td></tr>
<tr class="separator:aa07fd82e00287b1ffb246ddd26b8287a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007602615cf400104ddd0dd6a498face"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#a007602615cf400104ddd0dd6a498face">AbstractValueArray</a> (<a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a007602615cf400104ddd0dd6a498face"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11dd07cd4d1c2f1f0468b119ace292c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#ae11dd07cd4d1c2f1f0468b119ace292c">operator=</a> (const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;)=default</td></tr>
<tr class="separator:ae11dd07cd4d1c2f1f0468b119ace292c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4c2d1f7693b7c7363f84f08db0a845e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#af4c2d1f7693b7c7363f84f08db0a845e">operator=</a> (<a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&amp;)=default</td></tr>
<tr class="separator:af4c2d1f7693b7c7363f84f08db0a845e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95ca6c67b3cf60fdb8f4ce0d1c3df86e"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#a95ca6c67b3cf60fdb8f4ce0d1c3df86e">~AbstractValueArray</a> ()=default</td></tr>
<tr class="separator:a95ca6c67b3cf60fdb8f4ce0d1c3df86e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64bd016c1b5a7074a0d16620352b8fd0"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#a64bd016c1b5a7074a0d16620352b8fd0">clone</a> () const =0</td></tr>
<tr class="separator:a64bd016c1b5a7074a0d16620352b8fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ebf650064618a517dd533be0386678"><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#af1ebf650064618a517dd533be0386678">size</a> () const =0</td></tr>
<tr class="memdesc:af1ebf650064618a517dd533be0386678"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the size of the array.  <a href="classOpenSim_1_1AbstractValueArray.html#af1ebf650064618a517dd533be0386678">More...</a><br /></td></tr>
<tr class="separator:af1ebf650064618a517dd533be0386678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa396b7e1b387ed0cdd0ee4e7f23b4900"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">AbstractValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#aa396b7e1b387ed0cdd0ee4e7f23b4900">operator[]</a> (size_t index)=0</td></tr>
<tr class="memdesc:aa396b7e1b387ed0cdd0ee4e7f23b4900"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access an element of the array using its index.  <a href="classOpenSim_1_1AbstractValueArray.html#aa396b7e1b387ed0cdd0ee4e7f23b4900">More...</a><br /></td></tr>
<tr class="separator:aa396b7e1b387ed0cdd0ee4e7f23b4900"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d87630ae98a13ea684ff1c862dd4e7"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">AbstractValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#af0d87630ae98a13ea684ff1c862dd4e7">operator[]</a> (size_t index) const =0</td></tr>
<tr class="memdesc:af0d87630ae98a13ea684ff1c862dd4e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access an element of the array using its index.  <a href="classOpenSim_1_1AbstractValueArray.html#af0d87630ae98a13ea684ff1c862dd4e7">More...</a><br /></td></tr>
<tr class="separator:af0d87630ae98a13ea684ff1c862dd4e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c4d89e4571f87b01df64e2afae7e922"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#a4c4d89e4571f87b01df64e2afae7e922">toString</a> (const size_t index) const =0</td></tr>
<tr class="memdesc:a4c4d89e4571f87b01df64e2afae7e922"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get value corresponding to the given index as string.  <a href="classOpenSim_1_1AbstractValueArray.html#a4c4d89e4571f87b01df64e2afae7e922">More...</a><br /></td></tr>
<tr class="separator:a4c4d89e4571f87b01df64e2afae7e922"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a997100299b8858fa003981f5bdd1884d"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">AbstractValue</a> = SimTK::AbstractValue</td></tr>
<tr class="separator:a997100299b8858fa003981f5bdd1884d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p><a class="el" href="classOpenSim_1_1ValueArray.html">ValueArray</a> (of type T) represents an array of SimTK::Value (of type T). </p>
<p><a class="el" href="classOpenSim_1_1AbstractValueArray.html" title="ValueArray (of type T) represents an array of SimTK::Value (of type T).">AbstractValueArray</a> is the base class of all <a class="el" href="classOpenSim_1_1ValueArray.html">ValueArray</a> thereby hiding the type of the underlying array (which is T). <br  />
 </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a997100299b8858fa003981f5bdd1884d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a997100299b8858fa003981f5bdd1884d">&#9670;&nbsp;</a></span>AbstractValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">OpenSim::AbstractValueArray::AbstractValue</a> =  SimTK::AbstractValue</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aba66ad9dc550d621973ab484fd37523d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba66ad9dc550d621973ab484fd37523d">&#9670;&nbsp;</a></span>AbstractValueArray() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::AbstractValueArray::AbstractValueArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa07fd82e00287b1ffb246ddd26b8287a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa07fd82e00287b1ffb246ddd26b8287a">&#9670;&nbsp;</a></span>AbstractValueArray() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::AbstractValueArray::AbstractValueArray </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a007602615cf400104ddd0dd6a498face"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a007602615cf400104ddd0dd6a498face">&#9670;&nbsp;</a></span>AbstractValueArray() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::AbstractValueArray::AbstractValueArray </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a95ca6c67b3cf60fdb8f4ce0d1c3df86e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95ca6c67b3cf60fdb8f4ce0d1c3df86e">&#9670;&nbsp;</a></span>~AbstractValueArray()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::AbstractValueArray::~AbstractValueArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a64bd016c1b5a7074a0d16620352b8fd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64bd016c1b5a7074a0d16620352b8fd0">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a>* OpenSim::AbstractValueArray::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classOpenSim_1_1ValueArray.html#ad7e886f9ea1012da8e6f9a3022c276b8">OpenSim::ValueArray&lt; T &gt;</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a5cc393e65ff5528ff57e088275261bd1">OpenSim::ValueArrayDictionary::setValueArrayForKey()</a>.</p>

</div>
</div>
<a id="af4c2d1f7693b7c7363f84f08db0a845e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4c2d1f7693b7c7363f84f08db0a845e">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a>&amp; OpenSim::AbstractValueArray::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae11dd07cd4d1c2f1f0468b119ace292c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae11dd07cd4d1c2f1f0468b119ace292c">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a>&amp; OpenSim::AbstractValueArray::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af0d87630ae98a13ea684ff1c862dd4e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0d87630ae98a13ea684ff1c862dd4e7">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">AbstractValue</a>&amp; OpenSim::AbstractValueArray::operator[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access an element of the array using its index. </p>
<p><br  />
 </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1ValueArray.html#aca4ed4257e40b96ed32c9d77717b7b0a">OpenSim::ValueArray&lt; T &gt;</a>.</p>

</div>
</div>
<a id="aa396b7e1b387ed0cdd0ee4e7f23b4900"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa396b7e1b387ed0cdd0ee4e7f23b4900">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">AbstractValue</a>&amp; OpenSim::AbstractValueArray::operator[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access an element of the array using its index. </p>
<p><br  />
 </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1ValueArray.html#a55202a476a8c8015039a1ef42af5ad66">OpenSim::ValueArray&lt; T &gt;</a>.</p>

</div>
</div>
<a id="af1ebf650064618a517dd533be0386678"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1ebf650064618a517dd533be0386678">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t OpenSim::AbstractValueArray::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the size of the array. </p>
<p><br  />
 </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1ValueArray.html#a68e340b8bfc62f3691612238bdca1c44">OpenSim::ValueArray&lt; T &gt;</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a838334a0d9b6aa17b55e66500991035f">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::validateDependentsMetaData()</a>.</p>

</div>
</div>
<a id="a4c4d89e4571f87b01df64e2afae7e922"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c4d89e4571f87b01df64e2afae7e922">&#9670;&nbsp;</a></span>toString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string OpenSim::AbstractValueArray::toString </td>
          <td>(</td>
          <td class="paramtype">const size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get value corresponding to the given index as string. </p>
<p><br  />
 </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1ValueArray.html#a5c0fb5ad4b10933d851146bdd2055141">OpenSim::ValueArray&lt; T &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/ValueArray.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:17 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
